## qflow 1.1.23

=== scripts/Makefile ===
#
# qflow project scripts makefile
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

VERSION = 1.1
REVISION = 14

QFLOW_LIB_DIR = /usr/local/share/qflow
QFLOW_BIN_DIR = /usr/local/bin
TCLSH_PATH = /bin/tclsh

DEFAULTPARSER = @QFLOW_DEFAULT_PARSER@

TCL_SCRIPTS = blif2cel.tcl place2def.tcl place2lef2.tcl
TCL_SCRIPTS += place2net2.tcl ypostproc.tcl ybuffer.tcl
TCL_SCRIPTS += decongest.tcl addspacers.tcl getfillcell.tcl
TCL_SCRIPTS += blifanno.tcl
SHELL_SCRIPTS = synthesize.sh placement.sh router.sh vesta.sh
SHELL_SCRIPTS += qflow.sh checkdirs.sh
SHELL_SCRIPTS += cleanup.sh display.sh createGDS.sh
MAIN_SCRIPT = qflow

SCRIPTINSTALL = ${QFLOW_LIB_DIR}/scripts
TECHINSTALL = ${QFLOW_LIB_DIR}/tech
QFLOWEXECPATH = ${QFLOW_LIB_DIR}/bin
EXECINSTALL = ${QFLOW_BIN_DIR}

all:	$(MAIN_SCRIPT).in qflow.sh
	$(MAKE) launcher

launcher:  $(MAIN_SCRIPT).in
	sed -e '/QFLOW_SCRIPT_DIR/s#QFLOW_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	$(MAIN_SCRIPT).in > $(MAIN_SCRIPT)

checkdirs.sh:  checkdirs.sh.in
	sed -e '/SUBST_TECH_DIR/s#SUBST_TECH_DIR#$(TECHINSTALL)#' \
	-e '/SUBST_SCRIPT_DIR/s#SUBST_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	-e '/SUBST_BIN_DIR/s#SUBST_BIN_DIR#$(QFLOWEXECPATH)#' \
	checkdirs.sh.in > checkdirs.sh

qflow.sh:  qflow.sh.in
	sed -e '/QFLOW_SCRIPT_DIR/s#QFLOW_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	-e '/QFLOW_DEFAULT_PARSER/s#QFLOW_DEFAULT_PARSER#$(DEFAULTPARSER)#' \
	-e '/QFLOW_REVISION/s#QFLOW_REVISION#$(REVISION)#' \
	-e '/QFLOW_VERSION/s#QFLOW_VERSION#$(VERSION)#' \
	qflow.sh.in > qflow.sh

blif2cel.tcl: blif2cel.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' blif2cel.tcl.in > $@

place2def.tcl: place2def.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' place2def.tcl.in > $@

place2lef2.tcl: place2def2.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' place2lef2.tcl.in > $@

place2net2.tcl: place2net2.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' place2net2.tcl.in > $@

ypostproc.tcl: ypostproc.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' ypostproc.tcl.in > $@

ybuffer.tcl: ybuffer.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' ybuffer.tcl.in > $@

decongest.tcl: decongest.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' decongest.tcl.in > $@

addspacers.tcl: addspacers.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' addspacers.tcl.in > $@

getfillcell.tcl: getfillcell.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' getfillcell.tcl.in > $@

blifanno.tcl: blifanno.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' blifanno.tcl.in > $@

install: $(TCL_SCRIPTS) $(SHELL_SCRIPTS) $(MAIN_SCRIPT)
	@echo "Installing qflow scripts"
	$(INSTALL) -d $(DESTDIR)${SCRIPTINSTALL}
	for target in $(TCL_SCRIPTS); do \
	   $(INSTALL) $$target $(DESTDIR)${SCRIPTINSTALL} ;\
	done
	for target in $(SHELL_SCRIPTS); do \
	   $(INSTALL) $$target $(DESTDIR)${SCRIPTINSTALL} ;\
	done
	@echo "Installing qflow executable"
	$(INSTALL) -d $(DESTDIR)${EXECINSTALL}
	$(INSTALL) ${MAIN_SCRIPT} $(DESTDIR)${EXECINSTALL}

clean:
	$(RM) $(MAIN_SCRIPT)
	$(RM) checkdirs.sh
	$(RM) qflow.sh
	$(RM) $(TCL_SCRIPTS)

uninstall:
	$(RM) -rf ${SCRIPTINSTALL}
	$(RM) ${EXECINSTALL}/${MAIN_SCRIPT}

=== src/Makefile ===
#
# qflow project source compile makefile
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

QFLOW_LIB_DIR = /usr/local/share/qflow
QFLOW_GRAYWOLF_PATH = /usr/local/bin/graywolf
QFLOW_QROUTER_PATH = /usr/local/bin/qrouter
QFLOW_ABC_PATH = @QFLOW_ABC_PATH@
QFLOW_ODIN_PATH = @QFLOW_ODIN_PATH@
QFLOW_MAGIC_PATH = /usr/local/bin/magic
QFLOW_YOSYS_PATH = /usr/local/bin/yosys

HAVE_ABC = @HAVE_ABC@
HAVE_YOSYS = 1
HAVE_ODIN_II = @HAVE_ODIN_II@

OBJECTS = blif2BSpice.o blif2Verilog.o blifFanout.o vesta.o
HASHLIB = hash.o
LIBERTYLIB = readliberty.o
SOURCES := $(patsubst %.o,%.c,$(OBJECTS))
TARGETS := $(patsubst %.o,%$(EXEEXT),$(OBJECTS))

BININSTALL = ${QFLOW_LIB_DIR}/bin

all: $(TARGETS)

blif2BSpice$(EXEEXT): blif2BSpice.o
	$(CC) $(LDFLAGS) blif2BSpice.o -o $@ $(LIBS)

blifFanout$(EXEEXT): blifFanout.o $(HASHLIB) $(LIBERTYLIB)
	$(CC) $(LDFLAGS) blifFanout.o $(HASHLIB) $(LIBERTYLIB) \
		$(DEPENDS) -o $@ $(LIBS) -lm

blif2Verilog$(EXEEXT): blif2Verilog.o
	$(CC) $(LDFLAGS) blif2Verilog.o -o $@ $(LIBS)

vesta$(EXEEXT): vesta.o $(HASHLIB)
	$(CC) $(LDFLAGS) vesta.o $(HASHLIB) -o $@ $(LIBS)

install: $(TARGETS)
	@echo "Installing verilog and BDNET file format handlers"
	$(INSTALL) -d $(DESTDIR)${BININSTALL}
	@for target in $(TARGETS); do \
	   $(INSTALL) $$target $(DESTDIR)${BININSTALL} ;\
	done
	@echo "Installing links to graywolf, qrouter, odin_ii, and abc"
	(cd $(DESTDIR)${BININSTALL};  $(RM) -f graywolf;  ln -s $(QFLOW_GRAYWOLF_PATH) graywolf)
	(cd $(DESTDIR)${BININSTALL};  $(RM) -f qrouter;  ln -s $(QFLOW_QROUTER_PATH) qrouter)
	@if test "${HAVE_ABC}" = "1"; then \
	(cd $(DESTDIR)${BININSTALL};  $(RM) -f abc;  ln -s $(QFLOW_ABC_PATH) abc); \
	fi
	(cd $(DESTDIR)${BININSTALL};  $(RM) -f magic;  ln -s $(QFLOW_MAGIC_PATH) magic)
	@if test "${HAVE_YOSYS}" = "1"; then \
	(cd $(DESTDIR)${BININSTALL};  $(RM) -f yosys;  ln -s $(QFLOW_YOSYS_PATH) yosys); \
	fi

uninstall:
	$(RM) -rf ${BININSTALL}

clean:
	$(RM) -f $(OBJECTS) $(HASHLIB) $(LIBERTYLIB)
	$(RM) -f $(TARGETS)

veryclean:
	$(RM) -f $(OBJECTS) $(HASHLIB) $(LIBERTYLIB)
	$(RM) -f $(TARGETS)

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(DEFS) -c $< -o $@

=== tech/Makefile ===
#
# qflow project tech makefile
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

QFLOW_LIB_DIR = /usr/local/share/qflow

TECH_DIRS = osu050 osu035 osu018

TECHINSTALL = ${QFLOW_LIB_DIR}/tech

all:
	@echo "Making all in tech directories"
	for target in $(TECH_DIRS); do \
	   (cd $$target ; $(MAKE) all) ;\
	done

install:
	@echo "Installing built-in tech files"
	$(INSTALL) -d $(DESTDIR)${TECHINSTALL}
	for target in $(TECH_DIRS); do \
	   (cd $$target ; $(MAKE) install) ;\
	done

clean:
	@echo "Cleaning up built-in tech files"
	for target in $(TECH_DIRS); do \
	   (cd $$target ; $(MAKE) clean) ;\
	done


uninstall:
	@echo "Uninstalling built-in tech files
	$(RM) -rf ${TECHINSTALL}

=== tech/osu018/Makefile ===
#
# qflow project included technology osu018 files
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

QFLOW_LIB_DIR = /usr/local/share/qflow

TECH_FILES = osu018.par osu018_stdcells.lef osu018.sh
TECH_FILES += osu018_stdcells.sp osu018.magicrc osu018.prm
TECH_FILES += SCN6M_DEEP.09.tech osu018_stdcells.lib
TECH_FILES += osu018_stdcells.v

TECHINSTALL = ${QFLOW_LIB_DIR}/tech

# Substitute the target qflow tech directory name in .magicrc so that magic
# can find the OSU018 techfile

all: osu018.magicrc.in
	$(RM) -f osu018.magicrc
	cat osu018.magicrc.in | sed -e \
		'/QFLOW_LIB_DIR/s#QFLOW_LIB_DIR#$(QFLOW_LIB_DIR)#' \
		> osu018.magicrc

install: ${TECH_FILES}
	@echo "Installing osu018 tech files"
	$(INSTALL) -d $(DESTDIR)$(TECHINSTALL)/osu018
	for target in $(TECH_FILES); do \
	   $(INSTALL) $$target $(DESTDIR)$(TECHINSTALL)/osu018 ;\
	done

clean:
	$(RM) -f osu018.magicrc

uninstall:

=== tech/osu035/Makefile ===
#
# qflow project included technology osu035 files
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

QFLOW_LIB_DIR = /usr/local/share/qflow

TECH_FILES = osu035.par osu035_stdcells.lef osu035.sh
TECH_FILES += osu035_stdcells.sp osu035.magicrc osu035.prm
TECH_FILES += SCN4M_SUBM.20.tech osu035_stdcells.lib
TECH_FILES += osu035_stdcells.v

TECHINSTALL = ${QFLOW_LIB_DIR}/tech

# Substitute the target qflow tech directory name in .magicrc so that magic
# can find the OSU035 techfile

all: osu035.magicrc.in
	$(RM) -f osu035.magicrc
	cat osu035.magicrc.in | sed -e \
		'/QFLOW_LIB_DIR/s#QFLOW_LIB_DIR#$(QFLOW_LIB_DIR)#' \
		> osu035.magicrc

install: ${TECH_FILES}
	@echo "Installing osu035 tech files"
	$(INSTALL) -d $(DESTDIR)$(TECHINSTALL)/osu035
	for target in $(TECH_FILES); do \
	   $(INSTALL) $$target $(DESTDIR)$(TECHINSTALL)/osu035 ;\
	done

clean:
	$(RM) -f osu035.magicrc

uninstall:

=== tech/osu050/Makefile ===
#
# qflow project included technology osu050 files
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

QFLOW_LIB_DIR = /usr/local/share/qflow

TECH_FILES = osu050.par osu050_stdcells.lef osu050.sh
TECH_FILES += osu050_stdcells.sp osu050.magicrc osu050.prm
TECH_FILES += SCN3ME_SUBM.30.tech osu05_stdcells.lib
TECH_FILES += osu05_stdcells.v

TECHINSTALL = ${QFLOW_LIB_DIR}/tech

# Substitute the target qflow tech directory name in .magicrc so that magic
# can find the OSU050 techfile

all: osu050.magicrc.in
	$(RM) -f osu050.magicrc
	cat osu050.magicrc.in | sed -e \
		'/QFLOW_LIB_DIR/s#QFLOW_LIB_DIR#$(QFLOW_LIB_DIR)#' \
		> osu050.magicrc

install: ${TECH_FILES}
	@echo "Installing osu050 tech files"
	$(INSTALL) -d $(DESTDIR)$(TECHINSTALL)/osu050
	for target in $(TECH_FILES); do \
	   $(INSTALL) $$target $(DESTDIR)$(TECHINSTALL)/osu050 ;\
	done

clean:
	$(RM) -f osu050.magicrc

uninstall:

=== debian/changelog ===
qflow (1.1.23-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 29 Nov 2015 20:30:53 +0100

qflow (1.1.21-1) unstable; urgency=low

  * New upstream release
    - Refreshed patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 16 Nov 2015 19:12:14 +0100

qflow (1.1.13-2) unstable; urgency=medium

  * Added patch debian/patches/yosys_version_number_minor.patch:
    - Make sure qflow works with the new git HEAD version of yosys

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 11 Oct 2015 23:08:55 +0200

qflow (1.1.13-1) unstable; urgency=low

  * New upstream release
  * debian/man/qflow.txt:
    - Added much more detailed info to man page.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 11 Oct 2015 00:02:24 +0200

qflow (1.1.9-1) unstable; urgency=low

  * Initial release (Closes: #761368)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 25 Jul 2015 16:01:03 +0200

=== debian/control ===
Source: qflow
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: electronics
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               yosys,
               graywolf,
               qrouter,
               magic
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/qflow.git
Homepage: http://opencircuitdesign.com/qflow/

Package: qflow
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         yosys,
         berkeley-abc,
         graywolf,
         qrouter,
         magic,
         tcsh,
         tcl
Recommends: qflow-tech-osu018,
            qflow-tech-osu035,
            qflow-tech-osu050
Description: Open-Source Digital Synthesis Flow
 This is a complete tool chain for synthesizing digital circuits starting
 from verilog source and ending in physical layout for a specific target
 fabrication process. In the world of commercial electronics, digital
 synthesis with a target application of a chip design is usually bundled
 into large EDA software systems. As commercial electronics designers need
 to maintain cutting-edge performance, these commercial toolchains get more
 and more expensive, and have largely priced themselves out of all but the
 established integrated circuit manufacturers. This leaves an unfortunate
 gap where startup companies and small businesses cannot afford to do any
 sort of integrated circuit design.
 .
 Qflow tries to fill this gap.

Package: qflow-tech-osu018
Architecture: all
Depends: ${misc:Depends},
         qflow,
         tcsh
Description: Technology files needed for qflow for osu018
 Qflow is an open-source digital synthesis flow.
 .
 This package only contains the technology files needed for qflow.
 (osu018)

Package: qflow-tech-osu035
Architecture: all
Depends: ${misc:Depends},
         qflow,
         tcsh
Description: Technology files needed for qflow for osu035
 Qflow is an open-source digital synthesis flow.
 .
 This package only contains the technology files needed for qflow.
 (osu035)

Package: qflow-tech-osu050
Architecture: all
Depends: ${misc:Depends},
         qflow,
         tcsh
Description: Technology files needed for qflow for osu050
 Qflow is an open-source digital synthesis flow.
 .
 This package only contains the technology files needed for qflow.
 (osu050)

## qflow 1.1.31

=== scripts/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 INSTALL = /bin/install -c
 
 VERSION = 1.1
-REVISION = 14
+REVISION = 22
 
 QFLOW_LIB_DIR = /usr/local/share/qflow
 QFLOW_BIN_DIR = /usr/local/bin

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 
 # Main compiler arguments
-CFLAGS = -g -O2
+CFLAGS = -g
 DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
 LIBS = 
 LDFLAGS = 
@@ -59,6 +59,7 @@
 	(cd $(DESTDIR)${BININSTALL};  $(RM) -f magic;  ln -s $(QFLOW_MAGIC_PATH) magic)
 	@if test "${HAVE_YOSYS}" = "1"; then \
 	(cd $(DESTDIR)${BININSTALL};  $(RM) -f yosys;  ln -s $(QFLOW_YOSYS_PATH) yosys); \
+	(cd $(DESTDIR)${BININSTALL};  $(RM) -f yosys-abc;  ln -s $(QFLOW_YOSYS_PATH)-abc yosys-abc); \
 	fi
 
 uninstall:

=== debian/changelog ===
qflow (1.1.31-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Standards version 3.9.7 - no required changes
    - Vcs-Git now using https
  * debian/patches:
    - Refreshed patches

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 13 Apr 2016 20:35:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/qflow.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
 
 Package: qflow

## qflow 1.1.37

=== scripts/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 INSTALL = /bin/install -c
 
 VERSION = 1.1
-REVISION = 22
+REVISION = 33
 
 QFLOW_LIB_DIR = /usr/local/share/qflow
 QFLOW_BIN_DIR = /usr/local/bin
@@ -21,7 +21,7 @@
 TCL_SCRIPTS = blif2cel.tcl place2def.tcl place2lef2.tcl
 TCL_SCRIPTS += place2net2.tcl ypostproc.tcl ybuffer.tcl
 TCL_SCRIPTS += decongest.tcl addspacers.tcl getfillcell.tcl
-TCL_SCRIPTS += blifanno.tcl
+TCL_SCRIPTS += blifanno.tcl powerbus.tcl
 SHELL_SCRIPTS = synthesize.sh placement.sh router.sh vesta.sh
 SHELL_SCRIPTS += qflow.sh checkdirs.sh
 SHELL_SCRIPTS += cleanup.sh display.sh createGDS.sh
@@ -73,6 +73,9 @@
 decongest.tcl: decongest.tcl.in
 	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' decongest.tcl.in > $@
 
+powerbus.tcl: powerbus.tcl.in
+	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' powerbus.tcl.in > $@
+
 addspacers.tcl: addspacers.tcl.in
 	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' addspacers.tcl.in > $@

=== src/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 HAVE_YOSYS = 1
 HAVE_ODIN_II = @HAVE_ODIN_II@
 
-OBJECTS = blif2BSpice.o blif2Verilog.o blifFanout.o vesta.o
+OBJECTS = blif2BSpice.o blif2Verilog.o blifFanout.o vesta.o spice2delay.o
 HASHLIB = hash.o
 LIBERTYLIB = readliberty.o
 SOURCES := $(patsubst %.o,%.c,$(OBJECTS))
@@ -43,6 +43,9 @@
 
 vesta$(EXEEXT): vesta.o $(HASHLIB)
 	$(CC) $(LDFLAGS) vesta.o $(HASHLIB) -o $@ $(LIBS)
+
+spice2delay$(EXEEXT): spice2delay.o $(HASHLIB) $(LIBERTYLIB)
+	$(CC) $(LDFLAGS) spice2delay.o $(HASHLIB) $(LIBERTYLIB) -o $@ $(LIBS)
 
 install: $(TARGETS)
 	@echo "Installing verilog and BDNET file format handlers"

=== tech/osu018/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 TECH_FILES = osu018.par osu018_stdcells.lef osu018.sh
 TECH_FILES += osu018_stdcells.sp osu018.magicrc osu018.prm
-TECH_FILES += SCN6M_DEEP.09.tech osu018_stdcells.lib
+TECH_FILES += SCN6M_SUBM.10.tech osu018_stdcells.lib
 TECH_FILES += osu018_stdcells.v
 
 TECHINSTALL = ${QFLOW_LIB_DIR}/tech

=== debian/changelog ===
qflow (1.1.37-1) unstable; urgency=medium

  * New upstream release
    - Refreshed patches
  * debian/control:
    - Standards version 3.9.8 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Oct 2016 18:38:30 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/

## qflow 1.1.58

=== debian/changelog ===
qflow (1.1.58-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Refreshed patches
  * debian/control:
    - New standards version 4.0.0 - no changes
    - Depend on python3
  * debian/patches/0005-Fix-shebang.patch:
    - Fixing shebang issue in a new Python script

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 22:29:51 +0200

qflow (1.1.44-1~exp1) experimental; urgency=low

  * New upstream release
  * debian/copyright:
    - Added copyright info for some new files

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Mar 2017 13:54:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
@@ -25,7 +25,8 @@
          qrouter,
          magic,
          tcsh,
-         tcl
+         tcl,
+         python3
 Recommends: qflow-tech-osu018,
             qflow-tech-osu035,
             qflow-tech-osu050

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools_dev,autoreconf

override_dh_clean:
	dh_clean
	$(RM) -r config.log config.status scripts/Makefile src/Makefile tech/Makefile
	$(RM) -r tech/osu018/Makefile tech/osu035/Makefile tech/osu050/Makefile

=== debian/watch ===
version=3
http://opencircuitdesign.com/qflow/archive/qflow-(\d\S+)\.tgz

## qflow 1.1.121+dfsg.1

=== debian/changelog ===
qflow (1.1.121+dfsg.1-2) unstable; urgency=medium

  * d/patches/0006-Cherry-pick-file-list-feature-from-development-minor.patch:
    - Support for file lists pointing to many source Verilog files.
      Cherry-picked from 1.2.x series
  * Fix spelling error in changelog

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 14 Oct 2018 10:00:09 +0200

qflow (1.1.121+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper to 11
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Remove unnecessary build-dependencies
    - Vcs URL updated to salsa
    - Recommends: python3-tk
    - Suggests: netgen-lvs - not yet in Debian
  * debian/copyright:
    - Update copyright years for upstream
    - Exclude some files which may not be DFSG compliant when repackaging.
    - Use https URL for format field
  * debian/patches: Refreshed all patches
  * debian/patches/0005-Remove-references-to-excluded-files.patch:
    - Remove all references to excluded files during repackaging
  * debian/patches/01_fix_install_dir.patch:
    - Adapt new scripts to the Debian specific location of files
  * debian/patches/fix_tcsh_path.patch:
    - Fix tcsh patch for one more script
  * debian/source.lintian-overrides removed
  * debian/qflow.docs: Install qflow_help.txt
  * debian/qflow.links: Link to /usr/bin/netgen-lvs
  * debian/rules:
    - Remove '--with autotools_dev'
    - Ensure dh_clean properly cleans up
    - Do not install qflow_help.txt in scripts directory
  * debian/tests:
    - Added simple autopkgtest for checking if 'qflow -h' can be run
  * debian/watch:
    - Mangle +dfsg
    - Only look for releases with stable minor number (1.1.x)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 11:00:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                yosys,
                graywolf,
                qrouter,
                magic
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/qflow.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/qflow.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/qflow
+Vcs-Git: https://salsa.debian.org/science-team/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
 
 Package: qflow
@@ -27,9 +25,11 @@
          tcsh,
          tcl,
          python3
-Recommends: qflow-tech-osu018,
+Recommends: python3-tk,
+            qflow-tech-osu018,
             qflow-tech-osu035,
             qflow-tech-osu050
+Suggests: netgen-lvs
 Description: Open-Source Digital Synthesis Flow
  This is a complete tool chain for synthesizing digital circuits starting
  from verilog source and ending in physical layout for a specific target

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_clean:
	dh_clean
	$(RM) -r scripts/Makefile src/Makefile tech/Makefile config.log config.status Makefile
	$(RM) -r tech/osu018/Makefile tech/osu035/Makefile tech/osu050/Makefile

override_dh_auto_install:
	dh_auto_install
	# delete non-script from scripts directory:
	$(RM) debian/tmp/usr/lib/qflow/scripts/qflow_help.txt

## qflow 1.3.12+dfsg.1

=== debian/changelog ===
qflow (1.3.12+dfsg.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.3.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 16 Mar 2019 11:43:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                graywolf,
                qrouter,
                magic
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/qflow
 Vcs-Git: https://salsa.debian.org/science-team/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
@@ -24,12 +24,12 @@
          magic,
          tcsh,
          tcl,
+         netgen-lvs,
          python3
 Recommends: python3-tk,
             qflow-tech-osu018,
             qflow-tech-osu035,
             qflow-tech-osu050
-Suggests: netgen-lvs
 Description: Open-Source Digital Synthesis Flow
  This is a complete tool chain for synthesizing digital circuits starting
  from verilog source and ending in physical layout for a specific target

## qflow 1.3.17%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	dh_clean
 	$(RM) -r scripts/Makefile src/Makefile tech/Makefile config.log config.status Makefile
 	$(RM) -r tech/osu018/Makefile tech/osu035/Makefile tech/osu050/Makefile
+	$(RM) -r tech/osu035_redm4/Makefile tech/osu035_redm4/osu035_redm4.magicrc
+
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests: can-show-help
Depends: qflow

## qflow 1.3.17+dfsg.1

=== Makefile ===
#
# qflow project main Makefile
#

SHELL	= /bin/sh

EXEEXT	= 

TARGETS = src scripts tech

all:  $(TARGETS)
	@for target in $(TARGETS); do\
	   (cd $$target ; $(MAKE) all) ;\
	done

install:
	@for target in $(TARGETS); do\
	   (cd $$target ; $(MAKE) install) ;\
	done

clean:
	@for target in $(TARGETS); do\
	   (cd $$target ; $(MAKE) clean) ;\
	done

distclean:
	@for target in $(TARGETS); do\
	   (cd $$target ; $(MAKE) distclean) ;\
	done

uninstall:
	@for target in $(TARGETS); do\
	   (cd $$target ; $(MAKE) uninstall) ;\
	done

=== scripts/Makefile ===
#
# qflow project scripts makefile
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_NETGEN_PATH=\"/usr/local/bin/netgen\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\" -DQFLOW_OPENTIMER_PATH=\"\" -DQFLOW_OPENSTA_PATH=\"/usr/local/bin/sta\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

VERSION = 1.3
REVISION = 11

QFLOW_LIB_DIR = /usr/local/share/qflow
QFLOW_BIN_DIR = /usr/local/bin
TCLSH_PATH = /bin/tclsh
ENV_PATH = /bin/env
HAVE_PYTHON3 = yes
HAVE_OPENTIMER = 0
HAVE_OPENSTA = 1

DEFAULTPARSER = @QFLOW_DEFAULT_PARSER@

TCL_SCRIPTS = blif2cel.tcl place2def.tcl place2lef2.tcl
TCL_SCRIPTS += place2net2.tcl ypostproc.tcl ybuffer.tcl
TCL_SCRIPTS += decongest.tcl addspacers.tcl getfillcell.tcl
TCL_SCRIPTS += getantennacell.tcl blifanno.tcl annotate.tcl
TCL_SCRIPTS += powerbus.tcl getpowerground.tcl arrangepins.tcl
TCL_SCRIPTS += removeblocks.tcl
PYTHON_SCRIPTS = spi2xspice.py consoletext.py pinmanager.py
PYTHON_SCRIPTS += tksimpledialog.py helpwindow.py qflow_manager.py
PYTHON_SCRIPTS += textreport.py tooltip.py count_lvs.py
HELP_TEXT = qflow_help.txt

SHELL_SCRIPTS = synthesize.sh placement.sh router.sh
SHELL_SCRIPTS += vesta.sh opentimer.sh opensta.sh
SHELL_SCRIPTS += qflow.sh checkdirs.sh
SHELL_SCRIPTS += cleanup.sh display.sh
SHELL_SCRIPTS += drc.sh lvs.sh gdsii.sh migrate.sh
MAIN_SCRIPT = qflow

SCRIPTINSTALL = ${QFLOW_LIB_DIR}/scripts
TECHINSTALL = ${QFLOW_LIB_DIR}/tech
QFLOWEXECPATH = ${QFLOW_LIB_DIR}/bin
EXECINSTALL = ${QFLOW_BIN_DIR}

all:	$(MAIN_SCRIPT).in qflow.sh
	$(MAKE) launcher

launcher:  $(MAIN_SCRIPT).in
	sed -e '/QFLOW_SCRIPT_DIR/s#QFLOW_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	$(MAIN_SCRIPT).in > $(MAIN_SCRIPT)

checkdirs.sh:  checkdirs.sh.in
	sed -e '/SUBST_TECH_DIR/s#SUBST_TECH_DIR#$(TECHINSTALL)#' \
	-e '/SUBST_SCRIPT_DIR/s#SUBST_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	-e '/SUBST_BIN_DIR/s#SUBST_BIN_DIR#$(QFLOWEXECPATH)#' \
	checkdirs.sh.in > checkdirs.sh

qflow.sh:  qflow.sh.in
	sed -e '/QFLOW_SCRIPT_DIR/s#QFLOW_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	-e '/QFLOW_DEFAULT_PARSER/s#QFLOW_DEFAULT_PARSER#$(DEFAULTPARSER)#' \
	-e '/QFLOW_REVISION/s#QFLOW_REVISION#$(REVISION)#' \
	-e '/QFLOW_VERSION/s#QFLOW_VERSION#$(VERSION)#' \
	-e '/HAVE_OPENTIMER/s#HAVE_OPENTIMER#$(HAVE_OPENTIMER)#' \
	-e '/HAVE_OPENSTA/s#HAVE_OPENSTA#$(HAVE_OPENSTA)#' \
	qflow.sh.in > qflow.sh

count_lvs.py: count_lvs.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

spi2xspice.py: spi2xspice.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

consoletext.py: consoletext.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

pinmanager.py: pinmanager.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

tksimpledialog.py: tksimpledialog.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

helpwindow.py: helpwindow.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

count_lvs.py: count_lvs.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

qflow_manager.py: qflow_manager.py.in
	sed -e '/QFLOW_SCRIPT_DIR/s#QFLOW_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	-e '/QFLOW_VERSION/s#QFLOW_VERSION#$(VERSION)#' \
	-e '/QFLOW_REVISION/s#QFLOW_REVISION#$(REVISION)#' \
	-e '/SUBST_TECH_DIR/s#SUBST_TECH_DIR#$(TECHINSTALL)#' \
	-e '/SUBST_SCRIPT_DIR/s#SUBST_SCRIPT_DIR#$(SCRIPTINSTALL)#' \
	-e '/SUBST_BIN_DIR/s#SUBST_BIN_DIR#$(QFLOWEXECPATH)#' \
	-e '/HAVE_OPENTIMER/s#HAVE_OPENTIMER#$(HAVE_OPENTIMER)#' \
	-e '/HAVE_OPENSTA/s#HAVE_OPENSTA#$(HAVE_OPENSTA)#' \
	-e '/ENV_PATH/s#ENV_PATH#$(ENV_PATH)#' $< > $@

textreport.py: textreport.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

tooltip.py: tooltip.py.in
	sed -e 's#ENV_PATH#$(ENV_PATH)#' $< > $@

blif2cel.tcl: blif2cel.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

place2def.tcl: place2def.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

place2lef2.tcl: place2lef2.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

place2net2.tcl: place2net2.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

ypostproc.tcl: ypostproc.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

ybuffer.tcl: ybuffer.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

decongest.tcl: decongest.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

powerbus.tcl: powerbus.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

addspacers.tcl: addspacers.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

removeblocks.tcl: removeblocks.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

getpowerground.tcl: getpowerground.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

getfillcell.tcl: getfillcell.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

getantennacell.tcl: getantennacell.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

blifanno.tcl: blifanno.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

annotate.tcl: annotate.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

arrangepins.tcl: arrangepins.tcl.in
	sed -e 's#TCLSH_PATH#$(TCLSH_PATH)#' $< > $@

install: $(TCL_SCRIPTS) $(PYTHON_SCRIPTS) $(SHELL_SCRIPTS) $(MAIN_SCRIPT) $(HELP_TEXT)
	@echo "Installing qflow TCL scripts"
	$(INSTALL) -d $(DESTDIR)${SCRIPTINSTALL}
	for target in $(TCL_SCRIPTS); do \
	   $(INSTALL) $$target $(DESTDIR)${SCRIPTINSTALL} ;\
	done
	@echo "Installing qflow shell scripts"
	for target in $(SHELL_SCRIPTS); do \
	   $(INSTALL) $$target $(DESTDIR)${SCRIPTINSTALL} ;\
	done
	@echo "Installing qflow python scripts"
	for target in $(PYTHON_SCRIPTS); do \
	   $(INSTALL) $$target $(DESTDIR)${SCRIPTINSTALL} ;\
	done
	@echo "Installing help text files"
	for target in $(HELP_TEXT); do \
	   $(INSTALL) $$target $(DESTDIR)${SCRIPTINSTALL} ;\
	done
	@echo "Installing qflow executable"
	$(INSTALL) -d $(DESTDIR)${EXECINSTALL}
	$(INSTALL) ${MAIN_SCRIPT} $(DESTDIR)${EXECINSTALL}

clean:
	$(RM) $(MAIN_SCRIPT)
	$(RM) checkdirs.sh
	$(RM) qflow.sh
	$(RM) $(TCL_SCRIPTS)
	$(RM) $(PYTHON_SCRIPTS)

distclean:
	$(RM) $(MAIN_SCRIPT)
	$(RM) checkdirs.sh
	$(RM) qflow.sh
	$(RM) $(TCL_SCRIPTS)
	$(RM) $(PYTHON_SCRIPTS)

uninstall:
	$(RM) -rf ${SCRIPTINSTALL}
	$(RM) ${EXECINSTALL}/${MAIN_SCRIPT}

=== src/Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 #
 
 # Main compiler arguments
-CFLAGS = -g
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
+CFLAGS = -g -O2
 LIBS = 
 LDFLAGS = 
 INSTALL = /bin/install -c
+
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_NETGEN_PATH=\"/usr/local/bin/netgen\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\" -DQFLOW_OPENTIMER_PATH=\"\" -DQFLOW_OPENSTA_PATH=\"/usr/local/bin/sta\" -DQFLOW_VERSION=\"1.3\" -DQFLOW_REVISION=\"11\"
 
 QFLOW_LIB_DIR = /usr/local/share/qflow
 QFLOW_GRAYWOLF_PATH = /usr/local/bin/graywolf
@@ -15,13 +16,20 @@
 QFLOW_ABC_PATH = @QFLOW_ABC_PATH@
 QFLOW_ODIN_PATH = @QFLOW_ODIN_PATH@
 QFLOW_MAGIC_PATH = /usr/local/bin/magic
+QFLOW_NETGEN_PATH = /usr/local/bin/netgen
 QFLOW_YOSYS_PATH = /usr/local/bin/yosys
+QFLOW_OPENTIMER_PATH = 
+QFLOW_OPENSTA_PATH = /usr/local/bin/sta
 
 HAVE_ABC = @HAVE_ABC@
 HAVE_YOSYS = 1
 HAVE_ODIN_II = @HAVE_ODIN_II@
+HAVE_MAGIC = 1
+HAVE_NETGEN = 1
+HAVE_OPENTIMER = 0
+HAVE_OPENSTA = 1
 
-OBJECTS = blif2BSpice.o blif2Verilog.o blifFanout.o vesta.o spice2delay.o
+OBJECTS = blif2BSpice.o blif2Verilog.o blifFanout.o vesta.o spice2delay.o rc2dly.o
 HASHLIB = hash.o
 LIBERTYLIB = readliberty.o
 SOURCES := $(patsubst %.o,%.c,$(OBJECTS))
@@ -36,6 +44,7 @@
 
 blifFanout$(EXEEXT): blifFanout.o $(HASHLIB) $(LIBERTYLIB)
 	$(CC) $(LDFLAGS) blifFanout.o $(HASHLIB) $(LIBERTYLIB) \
+		-DQFLOW_VERSION=\"VERSION\" -DQFLOW_REVISION=\"REVISION\" \
 		$(DEPENDS) -o $@ $(LIBS) -lm
 
 blif2Verilog$(EXEEXT): blif2Verilog.o
@@ -46,6 +55,9 @@
 
 spice2delay$(EXEEXT): spice2delay.o $(HASHLIB) $(LIBERTYLIB)
 	$(CC) $(LDFLAGS) spice2delay.o $(HASHLIB) $(LIBERTYLIB) -o $@ $(LIBS)
+
+rc2dly$(EXEEXT): rc2dly.o $(LIBERTYLIB)
+	$(CC) $(LDFLAGS) rc2dly.o $(LIBERTYLIB) -o $@ $(LIBS)
 
 install: $(TARGETS)
 	@echo "Installing verilog and BDNET file format handlers"
@@ -59,10 +71,21 @@
 	@if test "${HAVE_ABC}" = "1"; then \
 	(cd $(DESTDIR)${BININSTALL};  $(RM) -f abc;  ln -s $(QFLOW_ABC_PATH) abc); \
 	fi
-	(cd $(DESTDIR)${BININSTALL};  $(RM) -f magic;  ln -s $(QFLOW_MAGIC_PATH) magic)
+	@if test "${HAVE_MAGIC}" = "1"; then \
+	(cd $(DESTDIR)${BININSTALL};  $(RM) -f magic;  ln -s $(QFLOW_MAGIC_PATH) magic); \
+	fi
+	@if test "${HAVE_NETGEN}" = "1"; then \
+	(cd $(DESTDIR)${BININSTALL};  $(RM) -f netgen;  ln -s $(QFLOW_NETGEN_PATH) netgen); \
+	fi
 	@if test "${HAVE_YOSYS}" = "1"; then \
 	(cd $(DESTDIR)${BININSTALL};  $(RM) -f yosys;  ln -s $(QFLOW_YOSYS_PATH) yosys); \
 	(cd $(DESTDIR)${BININSTALL};  $(RM) -f yosys-abc;  ln -s $(QFLOW_YOSYS_PATH)-abc yosys-abc); \
+	fi
+	@if test "${HAVE_OPENTIMER}" = "1"; then \
+	(cd $(DESTDIR)${BININSTALL};  $(RM) -f ot-shell;  ln -s $(QFLOW_OPENTIMER_PATH) ot-shell); \
+	fi
+	@if test "${HAVE_OPENSTA}" = "1"; then \
+	(cd $(DESTDIR)${BININSTALL};  $(RM) -f sta;  ln -s $(QFLOW_OPENSTA_PATH) sta); \
 	fi
 
 uninstall:
@@ -76,5 +99,9 @@
 	$(RM) -f $(OBJECTS) $(HASHLIB) $(LIBERTYLIB)
 	$(RM) -f $(TARGETS)
 
+distclean:
+	$(RM) -f $(OBJECTS) $(HASHLIB) $(LIBERTYLIB)
+	$(RM) -f $(TARGETS)
+
 .c.o:
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(DEFS) -c $< -o $@

=== tech/Makefile ===
#
# qflow project tech makefile
#

# Main compiler arguments
CFLAGS = -g -O2
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_NETGEN_PATH=\"/usr/local/bin/netgen\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\" -DQFLOW_OPENTIMER_PATH=\"\" -DQFLOW_OPENSTA_PATH=\"/usr/local/bin/sta\"
LIBS = 
LDFLAGS = 
INSTALL = /bin/install -c

QFLOW_LIB_DIR = /usr/local/share/qflow

TECH_DIRS = osu050 osu035 osu018 gscl45nm

TECHINSTALL = ${QFLOW_LIB_DIR}/tech

all:
	@echo "Making all in tech directories"
	for target in $(TECH_DIRS); do \
	   (cd $$target ; $(MAKE) all) ;\
	done

install:
	@echo "Installing built-in tech files"
	$(INSTALL) -d $(DESTDIR)${TECHINSTALL}
	for target in $(TECH_DIRS); do \
	   (cd $$target ; $(MAKE) install) ;\
	done

clean:
	@echo "Cleaning up built-in tech files"
	for target in $(TECH_DIRS); do \
	   (cd $$target ; $(MAKE) clean) ;\
	done

distclean:
	@echo "Cleaning up built-in tech files"
	for target in $(TECH_DIRS); do \
	   (cd $$target ; $(MAKE) distclean) ;\
	done

uninstall:
	@echo "Uninstalling built-in tech files
	$(RM) -rf ${TECHINSTALL}

=== tech/osu018/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Main compiler arguments
 CFLAGS = -g -O2
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_NETGEN_PATH=\"/usr/local/bin/netgen\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\" -DQFLOW_OPENTIMER_PATH=\"\" -DQFLOW_OPENSTA_PATH=\"/usr/local/bin/sta\"
 LIBS = 
 LDFLAGS = 
 INSTALL = /bin/install -c
@@ -14,7 +14,7 @@
 TECH_FILES = osu018.par osu018_stdcells.lef osu018.sh
 TECH_FILES += osu018_stdcells.sp osu018.magicrc osu018.prm
 TECH_FILES += SCN6M_SUBM.10.tech osu018_stdcells.lib
-TECH_FILES += osu018_stdcells.v
+TECH_FILES += osu018_stdcells.v osu018_setup.tcl osu018_stdcells.gds2
 
 TECHINSTALL = ${QFLOW_LIB_DIR}/tech
 
@@ -37,5 +37,8 @@
 clean:
 	$(RM) -f osu018.magicrc
 
+distclean:
+	$(RM) -f osu018.magicrc
+
 uninstall:

=== tech/osu035/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Main compiler arguments
 CFLAGS = -g -O2
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_NETGEN_PATH=\"/usr/local/bin/netgen\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\" -DQFLOW_OPENTIMER_PATH=\"\" -DQFLOW_OPENSTA_PATH=\"/usr/local/bin/sta\"
 LIBS = 
 LDFLAGS = 
 INSTALL = /bin/install -c
@@ -14,7 +14,7 @@
 TECH_FILES = osu035.par osu035_stdcells.lef osu035.sh
 TECH_FILES += osu035_stdcells.sp osu035.magicrc osu035.prm
 TECH_FILES += SCN4M_SUBM.20.tech osu035_stdcells.lib
-TECH_FILES += osu035_stdcells.v
+TECH_FILES += osu035_stdcells.v osu035_setup.tcl osu035_stdcells.gds2
 
 TECHINSTALL = ${QFLOW_LIB_DIR}/tech
 
@@ -37,5 +37,8 @@
 clean:
 	$(RM) -f osu035.magicrc
 
+distclean:
+	$(RM) -f osu035.magicrc
+
 uninstall:

=== tech/osu050/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Main compiler arguments
 CFLAGS = -g -O2
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\"
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DTCLSH_PATH=\"/bin/tclsh\" -DQFLOW_MAGIC_PATH=\"/usr/local/bin/magic\" -DQFLOW_NETGEN_PATH=\"/usr/local/bin/netgen\" -DQFLOW_QROUTER_PATH=\"/usr/local/bin/qrouter\" -DQFLOW_GRAYWOLF_PATH=\"/usr/local/bin/graywolf\" -DQFLOW_YOSYS_PATH=\"/usr/local/bin/yosys\" -DQFLOW_OPENTIMER_PATH=\"\" -DQFLOW_OPENSTA_PATH=\"/usr/local/bin/sta\"
 LIBS = 
 LDFLAGS = 
 INSTALL = /bin/install -c
@@ -14,7 +14,7 @@
 TECH_FILES = osu050.par osu050_stdcells.lef osu050.sh
 TECH_FILES += osu050_stdcells.sp osu050.magicrc osu050.prm
 TECH_FILES += SCN3ME_SUBM.30.tech osu05_stdcells.lib
-TECH_FILES += osu05_stdcells.v
+TECH_FILES += osu05_stdcells.v osu050_setup.tcl osu05_stdcells.gds2
 
 TECHINSTALL = ${QFLOW_LIB_DIR}/tech
 
@@ -37,5 +37,8 @@
 clean:
 	$(RM) -f osu050.magicrc
 
+distclean:
+	$(RM) -f osu050.magicrc
+
 uninstall:

=== debian/changelog ===
qflow (1.3.17+dfsg.1-2) unstable; urgency=low

  * debian/control:
    - Build-depend and install depend on opensta
  * d/patches/0007-Compatible-with-newer-opensta-version.patch
    - Patch opensta.sh wrapper script such that it works with current OpenSTA
      version in Debian.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 11 Nov 2019 23:11:40 +0100

qflow (1.3.17+dfsg.1-1) unstable; urgency=medium

  * Upload to sid
  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - Use debhelper-compat build-dependency instead of debian/compat file
    - DH level 12

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 11:10:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                yosys,
                graywolf,
                qrouter,
+               opensta,
                magic
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/qflow
 Vcs-Git: https://salsa.debian.org/science-team/qflow.git
 Homepage: http://opencircuitdesign.com/qflow/
@@ -25,11 +26,12 @@
          tcsh,
          tcl,
          netgen-lvs,
+         opensta,
          python3
 Recommends: python3-tk,
-            qflow-tech-osu018,
-            qflow-tech-osu035,
-            qflow-tech-osu050
+            qflow-tech-osu018 (= ${source:Version}),
+            qflow-tech-osu035 (= ${source:Version}),
+            qflow-tech-osu050 (= ${source:Version})
 Description: Open-Source Digital Synthesis Flow
  This is a complete tool chain for synthesizing digital circuits starting
  from verilog source and ending in physical layout for a specific target

=== debian/watch ===
version=3
opts=dversionmangle=s/([^\+]+)(?:\+dfsg.*)?/$1/,\
oversionmangle=s/(.*)/$1+dfsg.1/ \
http://opencircuitdesign.com/qflow/archive/qflow-(1\.1\.\d\S+)\.tgz
